Skip to main content

Grant Object Privilege To Role (V2)

This operation grants a privilege to the current role.

POST/v2/vectordb/roles/grant_privilege
Connection Endpoint

The base URL for this API is in the following format:

https://${CLUSTER_ENDPOINT}

📘Notes
  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
shell
export CLUSTER_ENDPOINT=""
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Body
roleNamestringrequired

The name of the role.

objectTypestringrequired

The type of the object to which the privilege belongs.

objectNamestringrequired

The name of the object to which the role is granted the specified privilege.

privilegestringrequired

The privilege that is granted to the role.

dbNamestring

Name of the database. If not specified, the default database is used.

Responses

None

A success response

codeinteger

Response code.

Example Value: 0
dataobject

Response payload which is an empty object.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

Successjson
{
"code": 0,
"data": {}
}
Ctrl I